CVE-2023-49062

CVSS 3.1 Score 7.5 of 10 (high)

Details

Published Nov 28, 2023
Updated: Dec 4, 2023
CWE ID 665

Summary

The vulnerability with CVE ID CVE-2023-49062 affects all versions of Katran prior to commit 6a03106ac1eab39d0303662963589ecb2374c97f. It occurs when Katran code does not initialize the Identification field for the IPv4 header after a bpf_xdp_adjust_head call, resulting in the potential disclosure of non-initialized kernel memory in that field of the IP header. This vulnerability poses a high risk to organizations as it can lead to the unauthorized access and leakage of confidential information. The base severity is rated as HIGH with a base score of 7.5 according to NVD, indicating its significance. No user interaction or privileges are required for exploitation, and it can be exploited remotely over a network connection. To remediate this vulnerability, organizations should update their Katran installations to the latest version commit 6a03106ac1eab39d0303662963589ecb2374c97f or later.

Share

Explore Beyond the CVE Basics with Recorded Future's Vulnerability Intelligence

Note: This is just a basic overview providing quick insights into CVE-2023-49062 information. Gain full access to comprehensive CVE data, risk scores, prioritization, and mitigation data through Recorded Future's Vulnerability Intelligence:
  • Prioritize with Risk-Based Scoring
  • Explore the Extensive Vulnerability Database
  • Receive Early Alerts on Emerging CVEs
  • Focus on Critical Exploitable Vulnerabilities
  • Streamline Remediation with Integration Options